
Foreman - Bug #12931

not seeing parameters in nested locations

12/23/2015 10:28 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1292306 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3003

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1292306

Description of problem:

When assigning parameters at the top of the tree (for example, in <region>) we cannot see these in the children. We can add values

to the children with the same name and this overwrites as expected. The values parent location are available as parameters in the

YAML files. We should be able to view the parents parameters along with options to override these.

Version-Release number of selected component (if applicable):

How reproducible: 100%

Steps to Reproduce:

1. manage locations

2. create a new location

3. select a parent for the new location

4. review the location ( you see no parameters)

Actual results:

Child location is separate from the parent.

Expected results:

Child should inherit from the parent including parameters

Additional info:

Related issues:

Related to Foreman - Bug #14071: Missing host_edit_interfaces.js in taxonomy ... Closed 03/07/2016

Associated revisions

Revision 7422bc43 - 01/07/2016 06:50 AM - Ori Rabin

Fixes #12931 - Nested taxonomies show parent parameters

When assigning parameters at the top of the tree (for example, in

<region>) we cannot see these in the children. We can add values to

the children with the same name and this overwrites as expected. The

values parent location are available as parameters in the YAML files. We

should be able to view the parents parameters along with options to

override these.

Version-Release number of selected component (if applicable):

How reproducible: 100%

 
Steps to Reproduce:
  1. manage locations

  2. create a new location

  3. select a parent for the new location

  4. review the location ( you see no parameters)

 Actual results:

Child location is separate from the parent.

Expected results:

Child should inherit from the parent including parameters

Additional info:

History

#1 - 12/23/2015 10:30 AM - Tomer Brisker

- Category set to Web Interface

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 12/24/2015 04:26 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3003 added

#3 - 01/07/2016 06:54 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 01/07/2016 07:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7422bc43ff93fe4603b6c5a4b71d8dc103e14d67.

#5 - 03/08/2016 07:29 AM - Dominic Cleal

- Related to Bug #14071: Missing host_edit_interfaces.js in taxonomy edit page added
